# Uses of Class
net.shibboleth.shared.security.DataSealer

Packages that use DataSealer
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.

## Uses of DataSealer in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security declared as DataSealer
Modifier and Type
Field
Description
`private DataSealer`
EncryptedCookieManager.`dataSealer`
Optional data sealer to use.
Methods in net.shibboleth.shared.security with parameters of type DataSealer
Modifier and Type
Method
Description
`void`
EncryptedCookieManager.`setDataSealer(DataSealer sealer)`
Sets `DataSealer` to use.